package de.ivu.elect.business.system.entity;

import java.util.Date;

public class SkriptConsoleLogEntry {

  private final Date zeitpunkt;

  private final LogSeverity severity;

  private final Object entry;

  public SkriptConsoleLogEntry(LogSeverity severity, Object entry) {
    this.zeitpunkt =new Date();
    this.severity = severity;
    this.entry = entry;
  }

  public LogSeverity getSeverity() {
    return severity;
  }

  public Object getEntry() {
    return entry;
  }

  public Date getZeitpunkt() {
    return zeitpunkt;
  }
}
